<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:java="http://xml.apache.org/xslt/java"
    xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
    xmlns:gslib="http://www.greenstone.org/skinning"
    xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
    extension-element-prefixes="java util"
    exclude-result-prefixes="java util gsf">

    <!--
        We have to override the default TOC template because it is
        impossible to extract from consumers without redefining them
        using large amounts of copy-paste and restructuring.
     -->
    <xsl:template name="rightSidebarTOC"></xsl:template>

    <!-- We don't offer a floating TOC in this interface -->
    <xsl:template name="floatingTOCToggle"></xsl:template>

    <!-- A replica of rightSidebarTOC -->
    <xsl:template name="rightSidebarTOCAlt">
        <div id="rightSidebar">
            <xsl:choose>
                <xsl:when test="@docType = 'simple'">
                    <xsl:for-each select=".">
                        <xsl:call-template name="displayCoverImage" />
                    </xsl:for-each>
                    <xsl:call-template name="viewOptions"/>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:for-each select="documentNode[1]">
                        <xsl:call-template name="displayCoverImage" />
                    </xsl:for-each>
                    <xsl:call-template name="viewOptions" />
                    <xsl:call-template name="displayTOC" />
                </xsl:otherwise>
            </xsl:choose>
        </div>
    </xsl:template>
</xsl:stylesheet>
